Name:           performous
Version:        1.1
Release:        %mkrel 3
License:        GPLv3+
Summary:        Open-source karaoke game that allows user supplied songs
Url:            http://performous.org
Group:          Games/Other
Source0:        https://github.com/performous/performous/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        https://download.sourceforge.net/performous/ultrastar-songs-libre-3.zip

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  ffmpeg-devel
BuildRequires:  help2man
BuildRequires:  libjpeg-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  portmidi-devel

%description
An open-source karaoke, band and dancing game where one or more players perform
a song and the game scores their performances. Supports songs in UltraStar, 
Frets on Fire and StepMania formats.

%prep
%setup -q
%autopatch -p1

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%cmake -DCMAKE_SKIP_RPATH=TRUE \
       -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
       -DCMAKE_CXX_FLAGS_RELEASE="%{optflags} -std=gnu++11"
%make_build

%install
%make_install -C build

install -d %{buildroot}%{_iconsdir}/hicolor/scalable/apps
mv %{buildroot}%{_datadir}/pixmaps/%{name}.svg \
   %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

mv %{buildroot}%{_bindir} %{buildroot}%{_gamesbindir}

# add songs-libre
unzip %{SOURCE1} -d %{buildroot}%{_gamesdatadir}/%{name}

%find_lang Performous

%files -f Performous.lang
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/gh*.1*
%{_mandir}/man1/ss*.1*
%{_mandir}/man6/%{name}.6*


%changelog
* Tue May 02 2017 akien <akien> 1.1-3.mga6
+ Revision: 1098318
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1.1-2.mga6
+ Revision: 1090233
- Rebuild for ffmpeg 3.2.4

* Wed Apr 13 2016 akien <akien> 1.1-1.mga6
+ Revision: 1001096
- BR epoxy
- Version 1.1 (builds with newly packaged avresample)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

  + tv <tv>
    - rebuild for new boost

  + daviddavid <daviddavid>
    - compile more C++ code with -std=gnu++11

* Sat Sep 26 2015 daviddavid <daviddavid> 0.8.0-0.20141015.4.mga6
+ Revision: 883892
- rebuild for new boost 1.59.0

* Fri Aug 28 2015 cjw <cjw> 0.8.0-0.20141015.3.mga6
+ Revision: 870415
- rebuild with gcc 5
- fix one build problem and compile C++ code with -std=gnu++11

  + daviddavid <daviddavid>
    - rebuild for new boost-1.58.0

* Fri Nov 14 2014 akien <akien> 0.8.0-0.20141015.2.mga6
+ Revision: 797024
- Rebuild for ffmpeg 2.4

* Fri Oct 24 2014 akien <akien> 0.8.0-0.20141015.1.mga5
+ Revision: 792946
- Update to a snapshot of the 0.8.0 dev branch

  + gregorybravas <gregorybravas>
    - change description and summary
    - change build require  sigc++2.0-devel
    - update to 0.7.0
    - update to 0.7
    - add ultrastar-songs
    - initial package
    - imported package performous

